Subject: [JAGNUTS] Storage

From: "mini.sales" <[email-masked]>
Date: Fri, 11 Jun 2004 13:55:12 -0600

Hi guys Richard Here. I spoke with Lloyd @ Lloyd Reality. He was in Ontario
when I called him yesterday. He said that he would be back in Regina on the
21st of this month. I would probably want to here what he has because he
personally owns allot of commercial property in Regina. He will contact me on
or around the 21st of June.

Regards
MINI Sales